<template>
  <div class="dataPublication">
    <b-container>
      <p class="mb-3">{{ $t("page.dataPublication.description1") }}</p>
      <p class="mb-3">{{ $t("page.dataPublication.description2") }}</p>
      <b-button variant="primary" class="float-right" @click.prevent="next">
        {{ $t("buttons.next") }}
      </b-button>
    </b-container>
  </div>
</template>

<script lang="ts">
import useProjectStore from "@/modules/project/store";

export default defineComponent({
  emits: {
    valid: (_: boolean) => true,
    next: null,
  },
  setup() {
    const projectStore = useProjectStore();

    return { projectStore };
  },

  computed: {
    isOwner(): boolean | undefined {
      return this.projectStore.currentUserRoleIsOwner;
    },
  },

  created() {
    this.$emit("valid", true);
  },

  methods: {
    /**
     * Emits a "next" event to notify the parent component to proceed to the next step.
     */
    next() {
      this.$emit("next");
    },
  },
});
</script>
